
#include <Servo.h>

Servo myservo;  // create servo object to control a servo


int servo_pin = 9; 
int pot_pin = 0; //potentiometer read pin
int min_position = 8; //minimum servo position
int max_position = 179; //max servo position
int max_read = 1023; // max potentiometer read value
int min_read = 0; // min poteniometer read value
void setup() {
  
  myservo.attach(servo_pin);  // attaches the servo on pin 9 to the servo object
  pinMode(pot_pin, INPUT); // read from potentiometer pin
}

void loop() {
  int rawVal = analogRead(pot_pin); // get raw value reading from pot
  int val = map(rawVal, min_read, max_read, min_position, max_position); //convert to servo position
  myservo.write(val); // write this value to servo
}

